Get top posts
GET
/analytics/top-posts
const url = 'https://api.warmup.social/analytics/top-posts?role=own&from=2026-09-01&to=2026-09-30&tz=UTC&sort=views&limit=10';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.warmup.social/analytics/top-posts?role=own&from=2026-09-01&to=2026-09-30&tz=UTC&sort=views&limit=10' \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”role
string
Whose accounts to analyze — your own or competitors.
from
string format: date
Example
2026-09-01Period start, YYYY-MM-DD, inclusive. Defaults to 30 days before to. Periods longer than 365 days are cut from the start.
to
string format: date
Example
2026-09-30Period end, YYYY-MM-DD, inclusive. Defaults to today in tz.
tz
string
Example
Europe/BerlinIANA time zone used to split days.
platform
Array<string>
Only these networks. Comma-separated or repeated.
group
Array<string>
Only accounts from these collections (names from “List analytics filters”).
accountId
Array<string>
Only these accounts (ids from “List analytics filters”).
sort
string
Ranking metric. Invalid values fall back to views.
limit
integer
Number of posts, 1–50.
Responses
Section titled “Responses”Best posts of the period.
Media typeapplication/json
object
period
required
object
from
required
string format: date
to
required
string format: date
days
required
integer
sort
required
string
posts
required
Array<object>
object
id
required
string format: uuid
shortcode
string
url
required
Link to the post on the network.
string format: uri
coverUrl
string
mediaType
required
string
caption
required
string
hashtags
required
Array<string>
publishedAt
required
string format: date-time
durationSeconds
required
number
metrics
required
object
views
required
integer
likes
required
integer
comments
required
integer
shares
required
integer
saves
required
integer
account
required
object
id
required
string format: uuid
platform
required
string
username
required
string
avatarUrl
string
followersCount
integer
role
required
string
er
required
Engagement rate, %.
number
key
additional properties
any
Example
{ "period": { "days": 30 }, "sort": "views", "posts": [ { "mediaType": "reel", "account": { "platform": "instagram", "role": "own" } } ]}The Bearer token is missing or invalid.
Media typeapplication/json
object
statusCode
required
integer
message
required
One of:
string
Array<string>
object
key
additional properties
any
error
string
key
additional properties
any
Example
{ "statusCode": 400, "message": "Invalid request", "error": "Bad Request"}